<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:UMLLabProfile="http:///schemas/UMLLabProfile/NS/0" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http:///schemas/UMLLabProfile/NS/0 pathmap://UMLLAB_PROFILES/UMLLab.profile.uml#UMLLabProfile-Annotation_2-UMLLabProfile">
  <uml:Model xmi:id="_aK9tECgIEe2cg5DeGHdG3w" name="billetera_virtual">
    <eAnnotations xmi:id="_aQFdoCgIEe2cg5DeGHdG3w" source="http://ns.yatta.de/umllab">
      <contents xmi:type="ecore:EAnnotation" xmi:id="_aQFdoSgIEe2cg5DeGHdG3w" source="codegen">
        <details xmi:id="_aQGEsCgIEe2cg5DeGHdG3w" key="codegenDirectory" value="/billetera-virtual/src"/>
        <details xmi:id="_aY8esCgIEe2cg5DeGHdG3w" key="AssociatedSourceCode" value="/billetera-virtual/src/ar/edu/unlu/billeteraVirtual/Usuario.java;4147654829/1;/billetera-virtual/src/ar/edu/unlu/cuentas/Cuenta.java;3708695510/1;/billetera-virtual/src/ar/edu/unlu/cuentas/CuentaCredito.java;2408440628/1;/billetera-virtual/src/ar/edu/unlu/dateUtils/DateUtils.java;161754008/1;"/>
      </contents>
    </eAnnotations>
    <elementImport xmi:id="_aWEJ0CgIEe2cg5DeGHdG3w">
      <importedElement xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
    </elementImport>
    <elementImport xmi:id="_aWEw4CgIEe2cg5DeGHdG3w">
      <importedElement xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#byte"/>
    </elementImport>
    <elementImport xmi:id="_aWEw4SgIEe2cg5DeGHdG3w">
      <importedElement xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#char"/>
    </elementImport>
    <elementImport xmi:id="_aWEw4igIEe2cg5DeGHdG3w">
      <importedElement xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
    </elementImport>
    <elementImport xmi:id="_aWEw4ygIEe2cg5DeGHdG3w">
      <importedElement xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#float"/>
    </elementImport>
    <elementImport xmi:id="_aWEw5CgIEe2cg5DeGHdG3w">
      <importedElement xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#int"/>
    </elementImport>
    <elementImport xmi:id="_aWFX8CgIEe2cg5DeGHdG3w">
      <importedElement xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#long"/>
    </elementImport>
    <elementImport xmi:id="_aWFX8SgIEe2cg5DeGHdG3w">
      <importedElement xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#short"/>
    </elementImport>
    <elementImport xmi:id="_aWFX8igIEe2cg5DeGHdG3w">
      <importedElement xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
    </elementImport>
    <packagedElement xmi:type="uml:Package" xmi:id="_aVosACgIEe2cg5DeGHdG3w" name="ar">
      <packagedElement xmi:type="uml:Package" xmi:id="_aVosASgIEe2cg5DeGHdG3w" name="edu">
        <packagedElement xmi:type="uml:Package" xmi:id="_aVosAigIEe2cg5DeGHdG3w" name="unlu">
          <packagedElement xmi:type="uml:Package" xmi:id="_aVosAygIEe2cg5DeGHdG3w" name="cuentas">
            <packagedElement xmi:type="uml:Class" xmi:id="_aWJpYCgIEe2cg5DeGHdG3w" name="Cuenta">
              <ownedAttribute xmi:id="_aXDBQSgIEe2cg5DeGHdG3w" name="saldo" isReadOnly="true">
                <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
              </ownedAttribute>
              <ownedAttribute xmi:id="_aXDoUCgIEe2cg5DeGHdG3w" name="limiteGiroDescubierto" isReadOnly="true">
                <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
              </ownedAttribute>
              <ownedAttribute xmi:id="_aXDoUSgIEe2cg5DeGHdG3w" name="giroDescubierto" isReadOnly="true">
                <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
              </ownedAttribute>
              <ownedAttribute xmi:id="_aXDoUigIEe2cg5DeGHdG3w" name="saldoInvertido" visibility="private">
                <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
              </ownedAttribute>
              <ownedAttribute xmi:id="_aXEPYSgIEe2cg5DeGHdG3w" name="INTERES_POR_INVERSION" isLeaf="true" isStatic="true" isReadOnly="true">
                <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                <defaultValue xmi:type="uml:LiteralString" xmi:id="_aXEPYigIEe2cg5DeGHdG3w" value="0.4"/>
              </ownedAttribute>
              <ownedAttribute xmi:id="_aXE2cCgIEe2cg5DeGHdG3w" name="fechaInversion" visibility="private" type="_aWxUcCgIEe2cg5DeGHdG3w" association="_aXSR0SgIEe2cg5DeGHdG3w"/>
              <ownedAttribute xmi:id="_BszYQCgMEe2cg5DeGHdG3w" name="PLAZO_DIAS_INVERSION" isLeaf="true" isStatic="true" isReadOnly="true">
                <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                <defaultValue xmi:type="uml:LiteralString" xmi:id="_BszYQSgMEe2cg5DeGHdG3w" value="30"/>
              </ownedAttribute>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXLkISgIEe2cg5DeGHdG3w" name="Cuenta" specification="_aWLekCgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXLkIigIEe2cg5DeGHdG3w" name="saldo">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aXLkIygIEe2cg5DeGHdG3w" name="limiteGiroDescubierto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aXLkJCgIEe2cg5DeGHdG3w" type="_aWJpYCgIEe2cg5DeGHdG3w" direction="return">
                  <name xsi:nil="true"/>
                </ownedParameter>
                <language>java</language>
                <body>this.saldo = saldo;
		this.limiteGiroDescubierto = limiteGiroDescubierto;
		this.giroDescubierto = 0;
		this.saldoInvertido = 0;
		this.fechaInversion = null;	
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXLkJSgIEe2cg5DeGHdG3w" name="gastar" specification="_aWMssCgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXLkJigIEe2cg5DeGHdG3w" name="monto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aXLkJygIEe2cg5DeGHdG3w" direction="return">
                  <name xsi:nil="true"/>
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
                <language>java</language>
                <body>boolean res = false;
		
		if ((this.saldo + (this.limiteGiroDescubierto-this.giroDescubierto)) >= monto) {
			if (this.saldo &lt; monto) {
				//Giro en descubierto
				this.giroDescubierto += monto - this.saldo;
				this.saldo = 0;
			}else {
				// El saldo me alzanza para el gasto
				this.saldo -= monto;
			}
			res = true;
		}
		
		return res;
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXMLMCgIEe2cg5DeGHdG3w" name="depositar" specification="_aWNTwCgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXMLMSgIEe2cg5DeGHdG3w" name="monto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <language>java</language>
                <body>// TODO Implementar....
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXMLMigIEe2cg5DeGHdG3w" name="invertir" specification="_aWN60CgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXMLMygIEe2cg5DeGHdG3w" name="monto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aXMLNCgIEe2cg5DeGHdG3w" direction="return">
                  <name xsi:nil="true"/>
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
                <language>java</language>
                <body>// TODO Implementar ...
		return true;
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXMLNSgIEe2cg5DeGHdG3w" name="recuperarInversion" specification="_aWPI8SgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXMLNigIEe2cg5DeGHdG3w" direction="return">
                  <name xsi:nil="true"/>
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
                <language>java</language>
                <body>// TODO Implementar
		return true;
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXMLNygIEe2cg5DeGHdG3w" name="getMontoInvertido" specification="_aWQXECgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXMLOCgIEe2cg5DeGHdG3w" direction="return">
                  <name xsi:nil="true"/>
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <language>java</language>
                <body>return this.saldoInvertido;
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXMLOSgIEe2cg5DeGHdG3w" name="getInteresAGanar" specification="_aWQ-ICgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXMLOigIEe2cg5DeGHdG3w" direction="return">
                  <name xsi:nil="true"/>
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <language>java</language>
                <body>if (this.fechaInversion != null)
			return this.saldoInvertido * Cuenta.INTERES_POR_INVERSION;
		return 0.0d;
	</body>
              </ownedBehavior>
              <ownedOperation xmi:id="_aWLekCgIEe2cg5DeGHdG3w" name="Cuenta" method="_aXLkISgIEe2cg5DeGHdG3w">
                <eAnnotations xmi:id="_aWMFoCgIEe2cg5DeGHdG3w" source="http://www.eclipse.org/uml2/2.0.0/UML">
                  <details xmi:id="_aWMFoSgIEe2cg5DeGHdG3w" key="create"/>
                </eAnnotations>
                <ownedParameter xmi:id="_aWLekSgIEe2cg5DeGHdG3w" name="saldo">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aWLekigIEe2cg5DeGHdG3w" name="limiteGiroDescubierto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aWMFoigIEe2cg5DeGHdG3w" type="_aWJpYCgIEe2cg5DeGHdG3w" direction="return"/>
              </ownedOperation>
              <ownedOperation xmi:id="_aWMssCgIEe2cg5DeGHdG3w" name="gastar" method="_aXLkJSgIEe2cg5DeGHdG3w">
                <ownedComment xmi:id="_BszYQigMEe2cg5DeGHdG3w">
                  <body>Dado un monto genera un gasto en la cuenta: quita del saldo el monto a gastar, si el monto es mayor
	 * al saldo entonces gira en descubierto (siempre y cuando todavía quede límite). 
	 * Si (saldo + limite descubierto disponible) &lt; monto, entonces la operacion no se realiza y devuelve false.
	 * @param monto: el monto a gastar
	 * @return boolean: indica si la operación fué exitosa.</body>
                </ownedComment>
                <ownedParameter xmi:id="_aWMssSgIEe2cg5DeGHdG3w" name="monto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aWMssigIEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
              </ownedOperation>
              <ownedOperation xmi:id="_aWNTwCgIEe2cg5DeGHdG3w" name="depositar" method="_aXMLMCgIEe2cg5DeGHdG3w">
                <ownedComment xmi:id="_Bsz_UCgMEe2cg5DeGHdG3w">
                  <body>Deposita el monto en la cuenta. Si existe giro en descubierto, primero intenta cubrirlo y si queda 
	 * dinero disponible aumenta el saldo.
	 * @param monto</body>
                </ownedComment>
                <ownedParameter xmi:id="_aWNTwSgIEe2cg5DeGHdG3w" name="monto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
              </ownedOperation>
              <ownedOperation xmi:id="_aWN60CgIEe2cg5DeGHdG3w" name="invertir" method="_aXMLMigIEe2cg5DeGHdG3w">
                <ownedComment xmi:id="_Bsz_USgMEe2cg5DeGHdG3w">
                  <body>Realiza la inversion del monto indicado. Condiciones para que la operación sea exitosa:
	 * 	a. Que el saldo sea >= monto
	 *  b. Que no exista una inversión activa.
	 *  
	 * Tambien establece la fecha de inversión.
	 * 
	 * @param monto
	 * @return</body>
                </ownedComment>
                <ownedParameter xmi:id="_aWN60SgIEe2cg5DeGHdG3w" name="monto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aWPI8CgIEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
              </ownedOperation>
              <ownedOperation xmi:id="_aWPI8SgIEe2cg5DeGHdG3w" name="recuperarInversion" method="_aXMLNSgIEe2cg5DeGHdG3w">
                <ownedComment xmi:id="_Bsz_UigMEe2cg5DeGHdG3w">
                  <body>Devuelve el monto invertido al saldo con el interes establecido. Se puede realizar siempre y cuando 
	 * hayan pasado los N días que dura la inversión.
	 * @return</body>
                </ownedComment>
                <ownedParameter xmi:id="_aWPwACgIEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
              </ownedOperation>
              <ownedOperation xmi:id="_aWQXECgIEe2cg5DeGHdG3w" name="getMontoInvertido" method="_aXMLNygIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aWQXESgIEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
              </ownedOperation>
              <ownedOperation xmi:id="_aWQ-ICgIEe2cg5DeGHdG3w" name="getInteresAGanar" method="_aXMLOSgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aWQ-ISgIEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
              </ownedOperation>
            </packagedElement>
            <packagedElement xmi:type="uml:Class" xmi:id="_aWTaYCgIEe2cg5DeGHdG3w" name="CuentaCredito">
              <ownedAttribute xmi:id="_aXFdgCgIEe2cg5DeGHdG3w" name="limite" visibility="private">
                <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
              </ownedAttribute>
              <ownedAttribute xmi:id="_aXGEkSgIEe2cg5DeGHdG3w" name="compras" visibility="private" isOrdered="true">
                <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_aXGEkigIEe2cg5DeGHdG3w" value="*"/>
              </ownedAttribute>
              <ownedAttribute xmi:id="_aXGroSgIEe2cg5DeGHdG3w" name="pagado" visibility="private" isOrdered="true">
                <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_aXHSsCgIEe2cg5DeGHdG3w" value="*"/>
              </ownedAttribute>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXMyQCgIEe2cg5DeGHdG3w" name="CuentaCredito" specification="_aWUogCgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXMyQSgIEe2cg5DeGHdG3w" name="limite">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aXMyQigIEe2cg5DeGHdG3w" type="_aWTaYCgIEe2cg5DeGHdG3w" direction="return">
                  <name xsi:nil="true"/>
                </ownedParameter>
                <language>java</language>
                <body>this.limite = limite;
		this.compras = new ArrayList&lt;Double>();
		this.pagado = new ArrayList&lt;Double>();
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXMyQygIEe2cg5DeGHdG3w" name="comprar" specification="_aWVPkSgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXMyRCgIEe2cg5DeGHdG3w" name="monto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aXMyRSgIEe2cg5DeGHdG3w" direction="return">
                  <name xsi:nil="true"/>
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
                <language>java</language>
                <body>// TODO Implementar ..
		return true;
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXMyRigIEe2cg5DeGHdG3w" name="pagar" specification="_aWWdsCgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXMyRygIEe2cg5DeGHdG3w" name="monto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aXMySCgIEe2cg5DeGHdG3w" name="indiceCompra">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#int"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aXMySSgIEe2cg5DeGHdG3w" direction="return">
                  <name xsi:nil="true"/>
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
                <language>java</language>
                <body>// TODO implementar ...
		return true;
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_CNntsCgJEe2cg5DeGHdG3w" name="getMontoDisponibleParaCompras" specification="_CNlRcCgJEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_CNntsSgJEe2cg5DeGHdG3w" direction="return">
                  <name xsi:nil="true"/>
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <language>java</language>
                <body>// TODO falta implementar ...
		return 0.0d;
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_Ot3iMCgJEe2cg5DeGHdG3w" name="getSaldoDeudorCompra" specification="_Ot27ICgJEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_Ot3iMSgJEe2cg5DeGHdG3w" name="indiceCompra">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#int"/>
                </ownedParameter>
                <ownedParameter xmi:id="_Ot3iMigJEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <language>java</language>
                <body>// TODO falta implementar ..
		return 0.0d;
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_Ot3iMygJEe2cg5DeGHdG3w" name="getSaldoDeudor" specification="_Ot1tACgJEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_Ot3iNCgJEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <language>java</language>
                <body>// TODO falta implementar...
		return 0.0d;
	</body>
              </ownedBehavior>
              <ownedOperation xmi:id="_aWUogCgIEe2cg5DeGHdG3w" name="CuentaCredito" method="_aXMyQCgIEe2cg5DeGHdG3w">
                <eAnnotations xmi:id="_aWUogigIEe2cg5DeGHdG3w" source="http://www.eclipse.org/uml2/2.0.0/UML">
                  <details xmi:id="_aWUogygIEe2cg5DeGHdG3w" key="create"/>
                </eAnnotations>
                <ownedParameter xmi:id="_aWUogSgIEe2cg5DeGHdG3w" name="limite">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aWVPkCgIEe2cg5DeGHdG3w" type="_aWTaYCgIEe2cg5DeGHdG3w" direction="return"/>
              </ownedOperation>
              <ownedOperation xmi:id="_aWVPkSgIEe2cg5DeGHdG3w" name="comprar" method="_aXMyQygIEe2cg5DeGHdG3w">
                <ownedComment xmi:id="_Ot4JQCgJEe2cg5DeGHdG3w">
                  <body>Registra una nueva compra en caso que todavía quede saldo disponible para compras. 
	 * 
	 * @param monto
	 * @return boolean: true si la compra fue existosa, false en caso contrario.</body>
                </ownedComment>
                <ownedParameter xmi:id="_aWVPkigIEe2cg5DeGHdG3w" name="monto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aWV2oCgIEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
              </ownedOperation>
              <ownedOperation xmi:id="_aWWdsCgIEe2cg5DeGHdG3w" name="pagar" method="_aXMyRigIEe2cg5DeGHdG3w">
                <ownedComment xmi:id="_Ot4JQSgJEe2cg5DeGHdG3w">
                  <body>Realiza un pago sobre una compra. Si el monto es menor o igual al saldo que queda por pagar de la compra, el pago se registra 
	 * y la operacion es exitosa devolviendo true. 
	 * Si el monto es mayor al saldo, entonces la operación no se realiza devolviendo false.
	 * 
	 * @param monto: cantidad a pagar.
	 * @param indiceCompra: el numero de indice de la compra sobre la cual se requiere realizar un pago.
	 * @return</body>
                </ownedComment>
                <ownedParameter xmi:id="_aWWdsSgIEe2cg5DeGHdG3w" name="monto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aWWdsigIEe2cg5DeGHdG3w" name="indiceCompra">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#int"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aWXEwCgIEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
              </ownedOperation>
              <ownedOperation xmi:id="_CNlRcCgJEe2cg5DeGHdG3w" name="getMontoDisponibleParaCompras" method="_CNntsCgJEe2cg5DeGHdG3w">
                <ownedComment xmi:id="_Ot4JRCgJEe2cg5DeGHdG3w">
                  <body>Devuelve el monto disponible para compras de la cuenta teniendo en cuenta todas las compras
	 * realizadas que quedan por pagar, sin tener en cuenta las que deben solo el interes.
	 * @return double: el saldo disponible para realizar compras.</body>
                </ownedComment>
                <ownedParameter xmi:id="_CNnGoCgJEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
              </ownedOperation>
              <ownedOperation xmi:id="_Ot1tACgJEe2cg5DeGHdG3w" name="getSaldoDeudor" method="_Ot3iMygJEe2cg5DeGHdG3w">
                <ownedComment xmi:id="_Ot4JQygJEe2cg5DeGHdG3w">
                  <body>Devuelve el saldo deudor total teniendo en cuenta todas las compras impagas.
	 * @return double</body>
                </ownedComment>
                <ownedParameter xmi:id="_Ot27IygJEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
              </ownedOperation>
              <ownedOperation xmi:id="_Ot27ICgJEe2cg5DeGHdG3w" name="getSaldoDeudorCompra" method="_Ot3iMCgJEe2cg5DeGHdG3w">
                <ownedComment xmi:id="_Ot4JQigJEe2cg5DeGHdG3w">
                  <body>Retorna el saldo que queda por pagar de una compra, incluyendo el interes.
	 * 
	 * @param indiceCompra
	 * @return</body>
                </ownedComment>
                <ownedParameter xmi:id="_Ot27ISgJEe2cg5DeGHdG3w" name="indiceCompra">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#int"/>
                </ownedParameter>
                <ownedParameter xmi:id="_Ot27IigJEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
              </ownedOperation>
            </packagedElement>
            <packagedElement xmi:type="uml:Association" xmi:id="_aXSR0SgIEe2cg5DeGHdG3w" name="" memberEnd="_aXSR0igIEe2cg5DeGHdG3w _aXE2cCgIEe2cg5DeGHdG3w">
              <ownedEnd xmi:id="_aXSR0igIEe2cg5DeGHdG3w" name="" type="_aWJpYCgIEe2cg5DeGHdG3w" association="_aXSR0SgIEe2cg5DeGHdG3w"/>
            </packagedElement>
          </packagedElement>
          <packagedElement xmi:type="uml:Package" xmi:id="_aVqhMCgIEe2cg5DeGHdG3w" name="billeteraVirtual">
            <packagedElement xmi:type="uml:Class" xmi:id="_aWC7sCgIEe2cg5DeGHdG3w" name="Usuario">
              <ownedAttribute xmi:id="_aXBzICgIEe2cg5DeGHdG3w" name="cuenta" visibility="private" type="_aWJpYCgIEe2cg5DeGHdG3w" association="_aXRDsCgIEe2cg5DeGHdG3w"/>
              <ownedAttribute xmi:id="_aXCaMSgIEe2cg5DeGHdG3w" name="cuentaCredito" visibility="private" type="_aWTaYCgIEe2cg5DeGHdG3w" association="_aXRqwSgIEe2cg5DeGHdG3w"/>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXK9ECgIEe2cg5DeGHdG3w" name="Usuario" specification="_aWu4MCgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXK9ESgIEe2cg5DeGHdG3w" name="cuenta" type="_aWJpYCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aXK9EigIEe2cg5DeGHdG3w" name="cuentaCredito" type="_aWTaYCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aXK9EygIEe2cg5DeGHdG3w" type="_aWC7sCgIEe2cg5DeGHdG3w" direction="return">
                  <name xsi:nil="true"/>
                </ownedParameter>
                <language>java</language>
                <body>this.cuenta = cuenta;
		this.cuentaCredito = cuentaCredito;
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXK9FCgIEe2cg5DeGHdG3w" name="Usuario" specification="_aWwGUCgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXK9FSgIEe2cg5DeGHdG3w" name="cuenta" type="_aWJpYCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aXK9FigIEe2cg5DeGHdG3w" type="_aWC7sCgIEe2cg5DeGHdG3w" direction="return">
                  <name xsi:nil="true"/>
                </ownedParameter>
                <language>java</language>
                <body>this(cuenta, null);		
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_7GJUsCgIEe2cg5DeGHdG3w" name="mostrarEstado" specification="_7GItoCgIEe2cg5DeGHdG3w">
                <language>java</language>
                <body>System.out.println(&quot;-----------------------&quot;);
		System.out.println(&quot;&quot;);
		System.out.println(&quot;Saldo: &quot;+this.cuenta.getSaldo());
		System.out.println(&quot;Giro en descubierto: &quot;+this.cuenta.getLimiteGiroDescubierto()+&quot;(&quot;+this.cuenta.getGiroDescubierto()+&quot;)&quot;);
		System.out.println(&quot;Inversiones: &quot;+this.cuenta.getMontoInvertido()+&quot;(&quot;+this.cuenta.getInteresAGanar()+&quot;)&quot;);
		System.out.println(&quot;&quot;);
		System.out.println(&quot;--- Cuenta crédito ----&quot;);
		System.out.println(&quot;&quot;);
		System.out.println(&quot;Disponible para compras: &quot;+this.cuentaCredito.getMontoDisponibleParaCompras());
		System.out.println(&quot;Saldo deudor: &quot;+this.cuentaCredito.getSaldoDeudor());
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_YHGF8CgKEe2cg5DeGHdG3w" name="realizarGasto" specification="_5xvRECgJEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_YHGF8SgKEe2cg5DeGHdG3w" name="monto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_YHGF8igKEe2cg5DeGHdG3w" direction="return">
                  <name xsi:nil="true"/>
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
                <language>java</language>
                <body>if(monto > this.cuenta.getSaldo()) {
			System.out.println(&quot;No se puede realizar el gasto, se va a girar en descubierto..&quot;);
			return false;
		}else {
			return this.cuenta.gastar(monto);
		}
			
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_YHGF8ygKEe2cg5DeGHdG3w" name="realizarGastoYGirar" specification="_YHFe4CgKEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_YHGF9CgKEe2cg5DeGHdG3w" name="monto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_YHGF9SgKEe2cg5DeGHdG3w" direction="return">
                  <name xsi:nil="true"/>
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
                <language>java</language>
                <body>return this.cuenta.gastar(monto);
	</body>
              </ownedBehavior>
              <ownedOperation xmi:id="_aWu4MCgIEe2cg5DeGHdG3w" name="Usuario" method="_aXK9ECgIEe2cg5DeGHdG3w">
                <eAnnotations xmi:id="_aWvfQigIEe2cg5DeGHdG3w" source="http://www.eclipse.org/uml2/2.0.0/UML">
                  <details xmi:id="_aWvfQygIEe2cg5DeGHdG3w" key="create"/>
                </eAnnotations>
                <ownedParameter xmi:id="_aWvfQCgIEe2cg5DeGHdG3w" name="cuenta" type="_aWJpYCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aWvfQSgIEe2cg5DeGHdG3w" name="cuentaCredito" type="_aWTaYCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aWvfRCgIEe2cg5DeGHdG3w" type="_aWC7sCgIEe2cg5DeGHdG3w" direction="return"/>
              </ownedOperation>
              <ownedOperation xmi:id="_aWwGUCgIEe2cg5DeGHdG3w" name="Usuario" method="_aXK9FCgIEe2cg5DeGHdG3w">
                <eAnnotations xmi:id="_aWwGUigIEe2cg5DeGHdG3w" source="http://www.eclipse.org/uml2/2.0.0/UML">
                  <details xmi:id="_aWwGUygIEe2cg5DeGHdG3w" key="create"/>
                </eAnnotations>
                <ownedParameter xmi:id="_aWwGUSgIEe2cg5DeGHdG3w" name="cuenta" type="_aWJpYCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aWwGVCgIEe2cg5DeGHdG3w" type="_aWC7sCgIEe2cg5DeGHdG3w" direction="return"/>
              </ownedOperation>
              <ownedOperation xmi:id="_7GItoCgIEe2cg5DeGHdG3w" name="mostrarEstado" method="_7GJUsCgIEe2cg5DeGHdG3w">
                <ownedComment xmi:id="_gtmBsCgKEe2cg5DeGHdG3w">
                  <body>Muestra por consola el estado de su cuenta, imprime:
	 * 	a. El saldo
	 *  b. El limite de giro en descubierto y en parentesis el monto girado en descubierto.
	 *  c. El monto total invertido y entre parentesis el interes a ganar.
	 *  d. El monto disponible para compras a credito y la deuda total a pagar segun las compras.</body>
                </ownedComment>
              </ownedOperation>
              <ownedOperation xmi:id="_5xvRECgJEe2cg5DeGHdG3w" name="realizarGasto" method="_YHGF8CgKEe2cg5DeGHdG3w">
                <ownedComment xmi:id="_gtmBsSgKEe2cg5DeGHdG3w">
                  <body>Intenta realizar un gasto sobre la cuenta. En caso de que el monto sea mayor al saldo, emite un mensaje que no se puede 
	 * realizar el gasto porque se va a girar en descubierto.
	 * @param monto
	 * @return</body>
                </ownedComment>
                <ownedParameter xmi:id="_5xvRESgJEe2cg5DeGHdG3w" name="monto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_5xvREigJEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
              </ownedOperation>
              <ownedOperation xmi:id="_YHFe4CgKEe2cg5DeGHdG3w" name="realizarGastoYGirar" method="_YHGF8ygKEe2cg5DeGHdG3w">
                <ownedComment xmi:id="_gtmBsigKEe2cg5DeGHdG3w">
                  <body>Intenta realizar un gasto sobre la cuenta por mas que se vaya a girar en descubierto
	 * @param monto
	 * @return</body>
                </ownedComment>
                <ownedParameter xmi:id="_YHFe4SgKEe2cg5DeGHdG3w" name="monto">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
                </ownedParameter>
                <ownedParameter xmi:id="_YHFe4igKEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
              </ownedOperation>
            </packagedElement>
            <packagedElement xmi:type="uml:Association" xmi:id="_aXRDsCgIEe2cg5DeGHdG3w" name="" memberEnd="_aXRDsSgIEe2cg5DeGHdG3w _aXBzICgIEe2cg5DeGHdG3w">
              <ownedEnd xmi:id="_aXRDsSgIEe2cg5DeGHdG3w" name="" type="_aWC7sCgIEe2cg5DeGHdG3w" association="_aXRDsCgIEe2cg5DeGHdG3w"/>
            </packagedElement>
            <packagedElement xmi:type="uml:Association" xmi:id="_aXRqwSgIEe2cg5DeGHdG3w" name="" memberEnd="_aXRqwigIEe2cg5DeGHdG3w _aXCaMSgIEe2cg5DeGHdG3w">
              <ownedEnd xmi:id="_aXRqwigIEe2cg5DeGHdG3w" name="" type="_aWC7sCgIEe2cg5DeGHdG3w" association="_aXRqwSgIEe2cg5DeGHdG3w"/>
            </packagedElement>
          </packagedElement>
          <packagedElement xmi:type="uml:Package" xmi:id="_aV38kCgIEe2cg5DeGHdG3w" name="dateUtils">
            <packagedElement xmi:type="uml:Class" xmi:id="_aWaIECgIEe2cg5DeGHdG3w" name="DateUtils">
              <ownedAttribute xmi:id="_aXH5wCgIEe2cg5DeGHdG3w" name="FORMATO1" isLeaf="true" isStatic="true" isReadOnly="true">
                <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
                <defaultValue xmi:type="uml:LiteralString" xmi:id="_aXIg0CgIEe2cg5DeGHdG3w" value="&quot;dd-MM-yyyy&quot;"/>
              </ownedAttribute>
              <ownedAttribute xmi:id="_aXIg0SgIEe2cg5DeGHdG3w" name="FORMATO2" isLeaf="true" isStatic="true" isReadOnly="true">
                <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
                <defaultValue xmi:type="uml:LiteralString" xmi:id="_aXIg0igIEe2cg5DeGHdG3w" value="&quot;MM-dd-yyyy&quot;"/>
              </ownedAttribute>
              <ownedAttribute xmi:id="_aXJH4CgIEe2cg5DeGHdG3w" name="formaterFormato1" visibility="private" isStatic="true" type="_aW2M8CgIEe2cg5DeGHdG3w" association="_aXS44SgIEe2cg5DeGHdG3w">
                <defaultValue xmi:type="uml:LiteralString" xmi:id="_aXJH4SgIEe2cg5DeGHdG3w" value="DateTimeFormatter.ofPattern(FORMATO1)"/>
              </ownedAttribute>
              <ownedAttribute xmi:id="_aXJu8CgIEe2cg5DeGHdG3w" name="formaterFormato2" visibility="private" isStatic="true" type="_aW2M8CgIEe2cg5DeGHdG3w" association="_aXTf8SgIEe2cg5DeGHdG3w">
                <defaultValue xmi:type="uml:LiteralString" xmi:id="_aXJu8SgIEe2cg5DeGHdG3w" value="DateTimeFormatter.ofPattern(FORMATO2)"/>
              </ownedAttribute>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXNZVSgIEe2cg5DeGHdG3w" name="getFechaDesdeFormato" specification="_aWbWMCgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXNZVigIEe2cg5DeGHdG3w" name="fecha">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aXNZVygIEe2cg5DeGHdG3w" name="formato">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aXNZWCgIEe2cg5DeGHdG3w" type="_aWxUcCgIEe2cg5DeGHdG3w" direction="return"/>
                <language>java</language>
                <body>if(formato.equals(FORMATO1)) {&#xD;
			return LocalDate.parse(fecha, formaterFormato1);&#xD;
		}else if (formato.equals(FORMATO2)) {&#xD;
			return LocalDate.parse(fecha, formaterFormato2);&#xD;
		}&#xD;
		return null;&#xD;
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXOAYCgIEe2cg5DeGHdG3w" name="esMayor" specification="_aW-IwCgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXOAYSgIEe2cg5DeGHdG3w" name="a" type="_aWxUcCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aXOAYigIEe2cg5DeGHdG3w" name="b" type="_aWxUcCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aXOAYygIEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
                <language>java</language>
                <body>return a.compareTo(b) > 0;&#xD;
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXOAZCgIEe2cg5DeGHdG3w" name="esMenor" specification="_aW-v0CgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXOAZSgIEe2cg5DeGHdG3w" name="a" type="_aWxUcCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aXOAZigIEe2cg5DeGHdG3w" name="b" type="_aWxUcCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aXOAZygIEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
                <language>java</language>
                <body>return a.compareTo(b) &lt; 0;&#xD;
	</body>
              </ownedBehavior>
              <ownedBehavior xmi:type="uml:OpaqueBehavior" xmi:id="_aXOAaCgIEe2cg5DeGHdG3w" name="estaEntreFechas" specification="_aW_W4CgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aXOAaSgIEe2cg5DeGHdG3w" name="aComparar" type="_aWxUcCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aXOAaigIEe2cg5DeGHdG3w" name="minRango" type="_aWxUcCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aXOAaygIEe2cg5DeGHdG3w" name="maxRango" type="_aWxUcCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aXOAbCgIEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
                <language>java</language>
                <body>return esMenor(minRango, aComparar) &amp;&amp; esMenor(aComparar, maxRango);&#xD;
	</body>
              </ownedBehavior>
              <ownedOperation xmi:id="_aWbWMCgIEe2cg5DeGHdG3w" name="getFechaDesdeFormato" isStatic="true" method="_aXNZVSgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aWbWMSgIEe2cg5DeGHdG3w" name="fecha">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aWbWMigIEe2cg5DeGHdG3w" name="formato">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
                </ownedParameter>
                <ownedParameter xmi:id="_aW9hsCgIEe2cg5DeGHdG3w" type="_aWxUcCgIEe2cg5DeGHdG3w" direction="return"/>
              </ownedOperation>
              <ownedOperation xmi:id="_aW-IwCgIEe2cg5DeGHdG3w" name="esMayor" isStatic="true" method="_aXOAYCgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aW-IwSgIEe2cg5DeGHdG3w" name="a" type="_aWxUcCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aW-IwigIEe2cg5DeGHdG3w" name="b" type="_aWxUcCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aW-IwygIEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
              </ownedOperation>
              <ownedOperation xmi:id="_aW-v0CgIEe2cg5DeGHdG3w" name="esMenor" isStatic="true" method="_aXOAZCgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aW-v0SgIEe2cg5DeGHdG3w" name="a" type="_aWxUcCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aW-v0igIEe2cg5DeGHdG3w" name="b" type="_aWxUcCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aW-v0ygIEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
              </ownedOperation>
              <ownedOperation xmi:id="_aW_W4CgIEe2cg5DeGHdG3w" name="estaEntreFechas" isStatic="true" method="_aXOAaCgIEe2cg5DeGHdG3w">
                <ownedParameter xmi:id="_aW_W4SgIEe2cg5DeGHdG3w" name="aComparar" type="_aWxUcCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aW_W4igIEe2cg5DeGHdG3w" name="minRango" type="_aWxUcCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aW_W4ygIEe2cg5DeGHdG3w" name="maxRango" type="_aWxUcCgIEe2cg5DeGHdG3w"/>
                <ownedParameter xmi:id="_aW_98CgIEe2cg5DeGHdG3w" direction="return">
                  <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#boolean"/>
                </ownedParameter>
              </ownedOperation>
            </packagedElement>
            <packagedElement xmi:type="uml:Association" xmi:id="_aXS44SgIEe2cg5DeGHdG3w" name="" memberEnd="_aXS44igIEe2cg5DeGHdG3w _aXJH4CgIEe2cg5DeGHdG3w">
              <ownedEnd xmi:id="_aXS44igIEe2cg5DeGHdG3w" name="" type="_aWaIECgIEe2cg5DeGHdG3w" association="_aXS44SgIEe2cg5DeGHdG3w"/>
            </packagedElement>
            <packagedElement xmi:type="uml:Association" xmi:id="_aXTf8SgIEe2cg5DeGHdG3w" name="" memberEnd="_aXTf8igIEe2cg5DeGHdG3w _aXJu8CgIEe2cg5DeGHdG3w">
              <ownedEnd xmi:id="_aXTf8igIEe2cg5DeGHdG3w" name="" type="_aWaIECgIEe2cg5DeGHdG3w" association="_aXTf8SgIEe2cg5DeGHdG3w"/>
            </packagedElement>
          </packagedElement>
        </packagedElement>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_aVrIQCgIEe2cg5DeGHdG3w" name="java">
      <packagedElement xmi:type="uml:Package" xmi:id="_aVrIQSgIEe2cg5DeGHdG3w" name="time">
        <packagedElement xmi:type="uml:Package" xmi:id="_aV1gUCgIEe2cg5DeGHdG3w" name="format">
          <packagedElement xmi:type="uml:Class" xmi:id="_aW2M8CgIEe2cg5DeGHdG3w" name="DateTimeFormatter"/>
        </packagedElement>
        <packagedElement xmi:type="uml:Class" xmi:id="_aWxUcCgIEe2cg5DeGHdG3w" name="LocalDate"/>
      </packagedElement>
      <packagedElement xmi:type="uml:Package" xmi:id="_aVwn0CgIEe2cg5DeGHdG3w" name="util">
        <packagedElement xmi:type="uml:Class" xmi:id="_aWzwsCgIEe2cg5DeGHdG3w" name="ArrayList"/>
        <packagedElement xmi:type="uml:Interface" xmi:id="_aW0-0CgIEe2cg5DeGHdG3w" name="List"/>
      </packagedElement>
    </packagedElement>
    <profileApplication xmi:id="_aQGEsSgIEe2cg5DeGHdG3w">
      <eAnnotations xmi:id="_aQGEsigIEe2cg5DeGHdG3w" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="pathmap://UMLLAB_PROFILES/UMLLab.profile.uml#UMLLabProfile-Annotation_2-UMLLabProfile"/>
      </eAnnotations>
      <appliedProfile href="pathmap://UMLLAB_PROFILES/UMLLab.profile.uml#UMLLabProfile"/>
    </profileApplication>
  </uml:Model>
  <UMLLabProfile:TargetLanguage xmi:id="_aQGEsygIEe2cg5DeGHdG3w" base_Package="_aK9tECgIEe2cg5DeGHdG3w">
    <languageName>java</languageName>
  </UMLLabProfile:TargetLanguage>
  <UMLLabProfile:Reference xmi:id="_aWx7gCgIEe2cg5DeGHdG3w" base_Element="_aWxUcCgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:Reference xmi:id="_aW0XwCgIEe2cg5DeGHdG3w" base_Element="_aWzwsCgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:Reference xmi:id="_aW1l4CgIEe2cg5DeGHdG3w" base_Element="_aW0-0CgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:Reference xmi:id="_aW3bECgIEe2cg5DeGHdG3w" base_Element="_aW2M8CgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:LegacyStyledElement xmi:id="_aXCaMCgIEe2cg5DeGHdG3w" base_Element="_aXBzICgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:LegacyStyledElement xmi:id="_aXDBQCgIEe2cg5DeGHdG3w" base_Element="_aXCaMSgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:LegacyStyledElement xmi:id="_aXEPYCgIEe2cg5DeGHdG3w" base_Element="_aXDoUigIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:LegacyStyledElement xmi:id="_aXE2cSgIEe2cg5DeGHdG3w" base_Element="_aXE2cCgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:LegacyStyledElement xmi:id="_aXGEkCgIEe2cg5DeGHdG3w" base_Element="_aXFdgCgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:LegacyStyledElement xmi:id="_aXGroCgIEe2cg5DeGHdG3w" base_Element="_aXGEkSgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:LegacyStyledElement xmi:id="_aXHSsSgIEe2cg5DeGHdG3w" base_Element="_aXGroSgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:LegacyStyledElement xmi:id="_aXJH4igIEe2cg5DeGHdG3w" base_Element="_aXJH4CgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:LegacyStyledElement xmi:id="_aXJu8igIEe2cg5DeGHdG3w" base_Element="_aXJu8CgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:Reference xmi:id="_aXRqwCgIEe2cg5DeGHdG3w" base_Element="_aXRDsCgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:Reference xmi:id="_aXSR0CgIEe2cg5DeGHdG3w" base_Element="_aXRqwSgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:Reference xmi:id="_aXS44CgIEe2cg5DeGHdG3w" base_Element="_aXSR0SgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:Reference xmi:id="_aXTf8CgIEe2cg5DeGHdG3w" base_Element="_aXS44SgIEe2cg5DeGHdG3w"/>
  <UMLLabProfile:Reference xmi:id="_aXUHACgIEe2cg5DeGHdG3w" base_Element="_aXTf8SgIEe2cg5DeGHdG3w"/>
</xmi:XMI>
